.formation-item {
  display: flex;
  flex-direction: column;
  gap: var(--wp--preset--spacing--30);
  position: relative;
  transition: all 0.3s ease-in-out;
  height: 100%;
  box-sizing: border-box;
}

.formation-item--hover .formation-item__title {
  color: var(--wp--preset--color--custom-rouge);
}

.formation-item__attributes {
  margin-top: var(--wp--preset--spacing--40);
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: var(--wp--preset--spacing--30);
}

.formation-item__link {
  color: #000;
  margin-top: auto;
  padding-top: var(--wp--preset--spacing--30);
  display: block;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  text-decoration: underline;
  padding-bottom: var(--wp--preset--spacing--20);
}

.formation-item__link::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
  pointer-events: auto;
  background-color: transparent;
}

.formation-item__link:hover ~ .formation-item {
  transform: scale(1.1);
}

.formation-item__link:hover {
  color: var(--wp--preset--color--custom-rouge);
}

.formation-item__title {
  margin-top: var(--wp--preset--spacing--20);
  margin-bottom: 0;
  font-size: var(--wp--preset--font-size--regular);
  font-family: var(--wp--preset--font-family--outfit);
  font-weight: 500;
  transition: all 0.3s ease-in-out;
}

.formation-item__image {
  display: flex;
  aspect-ratio: 4 / 3;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;
  border-radius: 16px;
}

.formation-item__image img {
  width: 100%;
  max-width: 100%;
  min-height: 100%;
  max-height: 100%;
  object-fit: cover;
  transition: all 0.3s ease-in-out;
  display: block;
}

.formation-item__image .badge {
  position: absolute;
  bottom: 0;
  left: 0;
  border-radius: 0 16px 0 0;
  padding: var(--wp--preset--spacing--30) var(--wp--preset--spacing--40);
  border: 8px solid white;
  border-left: 0;
  border-bottom: 0;
}

.formation-item__rating {
  display: flex;
  gap: var(--wp--preset--spacing--30);
  align-items: center;
  color: var(--wp--preset--color--custom-bleu-fonce);
  font-family: var(--wp--preset--font-family--outfit);
  font-weight: 500;
}

.formation-item__rating > div {
  display: flex;
  gap: var(--wp--preset--spacing--20);
  align-items: center;
  color: var(--wp--preset--color--custom-rouge);
}

.formation-item__no_rating {
  display: none;
}

.formation-item__description {
  font-size: var(--wp--preset--font-size--x-small);
}

.post-type-archive-product .formation-item {
  padding: var(--wp--preset--spacing--40);
  background-color: var(--wp--preset--color--custom-gris-clair);
  border-radius: 24px;
}
